Unreserve
Documentation for Unreserve
Read time 1 minuteLast updated a year ago
Unreserve a game server by its on a specific machine.
<serverid>You must issue this request from the dedicated game server itself when players leave or the game server is in an idle state. Both the machine ID and server ID are generated on Clanforge and passed through to the game server.
https://api.multiplay.co.uk/cfp/v1/machine/<machineid>/unreserve_server
METHOD | CONTENT TYPE |
GET | application/x-www-form-urlencoded |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
machineid | The parameter accepts an identifier of a machine within a fleet. | No |
serverid | The parameter accepts a game server instance ID of a game server on the specified machine. | No |
Response fields
|
|
|
|
|---|---|---|---|
uuid | string | ID of the allocation | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/machine/<machineid>/unreserve_server?serverid=<serverid>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'\--header 'Content-Type: application/x-www-form-urlencoded'
Example response
{ "success": <status>, "messages": [], "uuid": <uuid>}